Vraag Welk terminalcommando controleert de Ubuntu-versie [duplicaat]


Deze vraag heeft hier al een antwoord:

Welk terminalcommando geeft de versie van Ubuntu aan.


106
2018-06-14 17:33


oorsprong


@fossfreedom deze vraag is geen duplicaat van de vraag die u heeft gekoppeld, omdat ik vraag hoe ik de terminal moet controleren, niet de grafische manier. verwijder uw bezorgdheid - Nick Bailuc
Het duplicaat omvat zowel terminal als grafisch. IMHO ze zijn dezelfde vraag. Deze moeten waarschijnlijk worden samengevoegd. Ik zal het aan een paar 20.000 gebruikers vragen voordat ik die beslissing neem. - fossfreedom♦
het duplicaat doet maar de vraag niet. wanneer anderen naar een terminalcommando zoeken en zij de andere vraag vinden, kijken ze ernaar, omdat het er niets over zegt in de vraagbeschrijving - Nick Bailuc


antwoorden:


Voor de beschrijving en het releasenummer inclusief de OS-naam voer je uit:

$ lsb_release -d
Description:    Ubuntu 12.04 LTS

Alleen voor de codenaam, gebruik:

$ lsb_release -c
Codebase:   precise

Gebruik alleen voor het releasenummer:

$ lsb_release -r
Release:    12.04

Voor iedereen lsb versiegegevens, gebruik:

$ lsb_release -a
Distributor ID: Ubuntu
Description:    Ubuntu 12.04 LTS
Release:    12.04
Codename:   precise

131
2018-06-14 19:24



Dat geeft de codenaam. voor de beschrijving inclusief de OS-naam ("Ubuntu" op een Ubuntu-systeem) en het releasummer, gebruik lsb_release -d. Gebruik alleen voor het releasenummer lsb_release -r. Voor alle beschikbaar lsb informatie, gebruik lsb_release -a. - Eliah Kagan
Opmerking op 16.04 daar werkt het niet. Bericht ontvangen "Er zijn geen LSB-modules beschikbaar." - Marcin


Dit zou je moeten geven wat je wilt:

cat /etc/lsb-release

78
2018-06-14 17:35



Gebruik makend van lsb_releasegeeft me gewoon "Er zijn geen LSB-modules beschikbaar". Dit doet de truc. - eis
Gebruik lsb_release -ra - Konrad Gajewski
Werkt op 16.04 in tegenstelling tot lsb_release. - Marcin
Rommelen met Ubuntu via Docker en deze opdracht werkt als u de 16.04-versie en later en 12.04 gebruikt. De enige in het geaccepteerde antwoord werkt voor de 14.04-release. - MattD